package com.tzld.piaoquan.api.service;


import com.tzld.piaoquan.api.model.po.GhDetailExt;
import com.tzld.piaoquan.api.model.vo.GhDetailVo;
import com.tzld.piaoquan.growth.common.common.base.CommonResponse;
import com.tzld.piaoquan.growth.common.model.po.GhDetail;
import com.tzld.piaoquan.growth.common.utils.page.Page;

import java.util.List;
import java.util.Map;

public interface GhDetailService {

    CommonResponse<Page<GhDetailVo>> getGhDetailList(Integer pageNum, Integer pageSize, String accountId, String accountName, Long videoId);

    CommonResponse<Void> addGhDetail(GhDetailVo ghDetailVo, Map<Long, String> videoIdTestIdMap);

    CommonResponse<Void> updateDetail(GhDetailVo ghDetailVo, Map<Long, String> videoIdTestIdMap);

    CommonResponse<Void> deleteDetail(Long id);

    GhDetail getGhDetailByGhIdType(String ghId, Integer type);

    GhDetail getGhDetailByGhId(String ghId);

    List<GhDetail> getByChannel(String channel);

    List<GhDetail> getGhdetailByNames(List<String> nameList);

    List<GhDetailExt> getGhDetailExtList(String ghId, Integer type);
}
